View Issue Details

IDProjectCategoryView StatusLast Update
0000339FreeCADFeaturepublic2011-09-02 14:29
ReporterwmayerAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000339: Keep separable IGES geometry
Descriptionmiloskomarcevic said:

FreeCAD should keep separate geometry when importing from IGES when possible (IGES groups and subfigures ).

 Discussion in https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=335&p=2147&hilit=igs#p2147 is misleading in claiming that all hierarchy is lost with IGES. OCC supports IGES groups and subfigures, so there is no reason for FreeCAD to throw them away.

 I have verified this with manual import of IGES in pythonOCC, and CADExchanger (also OCC based) keeps groups without problem.

 Although solids are indeed lost in IGES, groups of faces can still be useful for saving/exporting individually, etc.

 Sometimes it is even possible to stitch them back up into shells and solids, but that's for another RFE.
TagsNo tags attached.

Activities

wmayer

2011-04-14 06:20

administrator   ~0000786

miloskomarcevic said:

Actually, just noticed the "Convert to solid" option, and seems to work ok,
 at least for a couple of parts i tried on that I exported from an IGES as
 individual BReps using CADExchanger.

 So it would be nice if FreeCAD kept the IGES groups, and this step could
 then be skipped.

wmayer said:
How does it work? For STEP we do it this way:
 * go through all solids and add an own object to the document (of course
 not possible with IGES)
 * go through all shells which are not part of a solid...
 * go through all faces which are not part of a shell
 * go through all wires which are not part of a face
 * go through all edges which are not part of a wire
 * go through all vertexes which are not part of an edge
 Does it work the same way with IGES? If not, would it be possible to share
 your python code to achieve that?


miloskomarcevic said:
But the first step is possible with some IGES models, there are solid
 entities (see OCC iges.pdf). This is shown in pythonOCC's
 result_export_multi.iges sample and my script of the same name.

 In the more common case when solid entities are not used in the IGES
 model, groups and subfigure entities can still be imported as separate
 compounded shapes, as shown in the other script. Surely these can be used
 as separate objects in FreeCAD? FreeCAD seems to use the other approach
 where only one compounded shape is imported, and the separation is lost.

2011-04-14 06:21

 

test_multi_iges.zip (Attachment missing)

Jriegel

2011-05-17 10:40

administrator   ~0000834

Very interesting. If someone has time...
I will concentrate on STEP for my self.

wmayer

2011-09-02 14:29

administrator   ~0001033

Done in r4872

Issue History

Date Modified Username Field Change
2011-04-14 06:17 wmayer New Issue
2011-04-14 06:20 wmayer Note Added: 0000786
2011-04-14 06:20 wmayer Description Updated
2011-04-14 06:21 wmayer File Added: test_multi_iges.zip
2011-05-17 10:40 Jriegel Note Added: 0000834
2011-05-17 10:40 Jriegel Status new => acknowledged
2011-09-02 14:29 wmayer Note Added: 0001033
2011-09-02 14:29 wmayer Status acknowledged => closed
2011-09-02 14:29 wmayer Resolution open => fixed
2011-09-02 14:29 wmayer Fixed in Version => 0.12